Package org.springframework.security.authentication.jaas

# Interface JaasAuthenticationCallbackHandler

All Known Implementing Classes:
  `JaasNameCallbackHandler`, `JaasPasswordCallbackHandler`

public interface JaasAuthenticationCallbackHandler
The JaasAuthenticationCallbackHandler is similar to the javax.security.auth.callback.CallbackHandler interface in that it defines a handle method. The JaasAuthenticationCallbackHandler is only asked to handle one Callback instance at time rather than an array of all Callbacks, as the javax... CallbackHandler defines.

Before a JaasAuthenticationCallbackHandler is asked to 'handle' any callbacks, it is first passed the Authentication object that the login attempt is for. NOTE: The Authentication object has not been 'authenticated' yet.

See Also:
  - `JaasNameCallbackHandler`
  - `JaasPasswordCallbackHandler`
  - Callback
  - CallbackHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback callback, Authentication auth)`
Handle the Callback.

## Method Details

### handle

void handle(Callback callback, Authentication auth) throws IOException, UnsupportedCallbackException
Handle the Callback. The handle method will be called for every callback instance sent from the LoginContext. Meaning that The handle method may be called multiple times for a given JaasAuthenticationCallbackHandler.

Parameters:
  `callback` -
  `auth` - The Authentication object currently being authenticated.
Throws:
  `IOException`
  `UnsupportedCallbackException`